Subject: Re: bug#23595: 25.1.50; file with chinese/japanse chars, vc-diff fails (HG, Git, RCS)

From: Dmitry Gutov <[email-masked]>
Date: Tue, 24 May 2016 12:35:40 +0300

On 05/24/2016 05:36 AM, Eli Zaretskii wrote:

>> Might that have to do something with your OS? I see the mojibake like
>> others.
>
> I was talking about the attachment Uwe provided, so this has nothing
> to do with my OS.

Hm, yes, that's odd. I do see the same problem with Git as Use reported 
with Hg and RCS, on my machine.

>What Emacs should do is
> bind coding-system-for-read to utf-8 in this case (not leave it
> unbound as in your patch), under the assumption that the user used the
> procedure outlined by Paul.

Should `utf-8' altogether replace `undecided' in 
vc-coding-system-for-diff? Then the use of buffer-file-coding-system 
could be predicated on its being compatible with ascii.